Get the Task Profile for a Job
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"tasks": [
{
"task_id": "d1072baf-6f9b-bdb3-fb26-f790c10d4803",
"task": "Conduct machine learning experiments on customer datasets",
"validation_state": "validated",
"weekly_hours": 5,
"ai_impact": {
"level": "H1",
"rationale": "Highly automatable with AI-powered experiment tooling"
},
"linked_skills": [
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"skill": "Python"
},
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"skill": "Machine Learning"
}
],
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
]
},
{
"task_id": "7446d003-425e-8e8c-c723-0a3790b38841",
"task": "Review model outputs against ground-truth labels",
"validation_state": "suggested",
"ai_impact": {
"level": "H3",
"rationale": "Requires human judgment to evaluate model quality"
},
"linked_skills": [
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"skill": "Machine Learning"
}
],
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
]
}
]
}Task Profile
Get the Task Profile for a Job
Retrieve the Task Profile associated with a Job. The response contains a
list of tasks assigned to the Job. Use the include query parameter to
optionally expand each task with AI impact information and/or the source
data (job profile data entries) that contributed to the task being assigned.
Note: This endpoint is experimental and may change in future versions.
Get the Task Profile for a Job
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/task_profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"tasks": [
{
"task_id": "d1072baf-6f9b-bdb3-fb26-f790c10d4803",
"task": "Conduct machine learning experiments on customer datasets",
"validation_state": "validated",
"weekly_hours": 5,
"ai_impact": {
"level": "H1",
"rationale": "Highly automatable with AI-powered experiment tooling"
},
"linked_skills": [
{
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
"skill": "Python"
},
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"skill": "Machine Learning"
}
],
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
]
},
{
"task_id": "7446d003-425e-8e8c-c723-0a3790b38841",
"task": "Review model outputs against ground-truth labels",
"validation_state": "suggested",
"ai_impact": {
"level": "H3",
"rationale": "Requires human judgment to evaluate model quality"
},
"linked_skills": [
{
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
"skill": "Machine Learning"
}
],
"source_data": [
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}
]
}
]
}Authorizations
Query Parameters
Additional attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
ai_impact— includes AI impact level and rationale per task.source_data— includes the job profile data entries behind each task.linked_skills— includes Skills linked to each task, with Skill ID and name. Use theexternal_vendorquery parameter to display Skill names in an external vendor vocabulary.rejected_tasks— includes tasks that were rejected via PATCH feedback (excluded by default).weekly_hours— includes the estimated number of hours spent on each task per week.
Available options:
ai_impact, source_data, linked_skills, rejected_tasks, weekly_hours Response
OK
Was this page helpful?